import SwiftUI
import Bedrock

struct LayoutBadge: View {
    let text: String
    let iconName: String
    let backgroundColor: Color

    var body: some View {
        HStack(spacing: Design.Spacing.xSmall) {
            Image(systemName: iconName)
                .typography(.caption2)
            Text(text)
                .typography(.caption2)
                .bold()
        }
        .padding(.horizontal, Design.Spacing.small)
        .padding(.vertical, Design.Spacing.xSmall)
        .background(backgroundColor)
        .foregroundStyle(.white)
        .clipShape(.capsule)
    }
}
